//==================================================
//--------- Programmed by Alexey Grebennikov--------
//-------- alexey.grebennikov@bakerhughes.com-------
//==================================================
//
// Module to convert address into CAS/RAS format
// DDR3 chip installed in the SP605 board has 64 Meg x 16 memory structure
// Flat memory addressign is used
//
module ddr_adrc (
  adr_i,
  c_adr_o, r_adr_o, ba_o
  );
  input [31:0] adr_i;         // Input 32-bit address
  output [9:0] c_adr_o;      // Output converted address lines
  output [12:0] r_adr_o;
  output [2:0] ba_o;          // Output bank address
  
  assign c_adr_o = {adr_i[10:4],3'b000};
  assign r_adr_o = adr_i[23:11];
  assign ba_o = adr_i[26:24];
  
endmodule