//==================================================
//--------- Programmed by Alexey Grebennikov--------
//-------- alexey.grebennikov@bakerhughes.com-------
//==================================================
//
// States of WBHOST FSM
`define WBHOST_IDLE         4'b0000           // WB host is idle - no R/W accesses
`define WBHOST_ETH          4'b0001           // WB bus is being accessed by the Ethernet controller
`define WBHOST_UART         4'b0010           // WB bus is being accessed by the UART controller
`define WBHOST_DDR          4'b0011           // WB bus is being accessed by the DDR3 controller
`define WBHOST_CF           4'b0100           // WB bus is being accessed by the CF card controller
`define WBHOST_CPU          4'b0101           // WB bus is being accessed by the CPU

// Base addresses of various devices
`define BASE_UART           20'h00001         // Base address of UART is 32'h00001000
`define BASE_CF             20'h00002         // Base address of CF is 32'h00002000
`define BASE_ETH            20'h00003         // Base address of Ethernet is 32'h00003000
`define BASE_DDR            1'b1              // Base address of DDR3 is 32'h80000000